# coding=utf-8

"""
Tests for the Docaster API.
"""

import unittest

from hamcrest import *
from api_doc import changelog_doc


def test_changelog_from_docaster():
    # this document should not be modified
    descr = changelog_doc("A0.03.28")
    assert_that(descr, has_length(2))
    assert_that(descr, has_item("correction des styles"))

    descr = changelog_doc("u4.51.11", limit=12)
    assert_that(descr, has_length(12))

    assert_that(calling(changelog_doc).with_args("u9.51.11", limit=12),
                raises(ValueError, "HTTP.*404.*Not Found"))


if __name__ == "__main__":
    import sys
    from testutils import get_test_suite
    RET = unittest.TextTestRunner(verbosity=2).run(get_test_suite(__name__))
    sys.exit(not RET.wasSuccessful())
